Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 137425 - [Tracker] vmware-server-console ebuilds
Summary: [Tracker] vmware-server-console ebuilds
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo VMWare Bug Squashers [disabled]
URL: http://overlays.gentoo.org/svn/proj/v...
Whiteboard:
Keywords: Tracker
Depends on: 148612
Blocks: 122500
  Show dependency tree
 
Reported: 2006-06-20 14:35 UTC by Chris Gianelloni (RETIRED)
Modified: 2017-01-24 16:17 UTC (History)
13 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
output of /opt/vmware/server/console/lib/lib/libcrypto.so.0.9.7/libcrypto.so.0.9.7 (libcrypto_symbols.txt,100.55 KB, text/plain)
2007-01-11 16:09 UTC, Paolo Pedroni
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Gianelloni (RETIRED) gentoo-dev 2006-06-20 14:35:48 UTC
This is the tracker bug for the vmware-modules ebuilds from the vmware overlay.  This is split off to try to reduce the pressure on bug #122500 by separating out issues to specific packages.
Comment 1 Chris Gianelloni (RETIRED) gentoo-dev 2006-06-20 14:36:30 UTC
Grrr... vmware-server-console... sorry about that... (cloning bugs might not be the best idea here... heh)
Comment 2 Paolo Pedroni 2006-06-21 06:55:19 UTC
I tried to install vmware-server-console-1.0.0.24927 and I had two issues.

The first one is that the ebuild does not check whether a "vmware" group exists on the machine and it does not even try to create one if it does not exist, which leads to a bunch of files installed with group 'portage'. If I create the vmware group before installing, everything is fine.

The second is that even though my local user is in group 'vmware' if I try to start /usr/bin/vmware-server-console I get:
/usr/bin/vmware-server-console: line 85: /etc/vmware-server-console/locations: Permission denied
/usr/bin/vmware-server-console: line 177: /lib/wrapper-gtk24.sh: No such file or directory
/usr/bin/vmware-server-console: line 177: exec: /lib/wrapper-gtk24.sh: cannot execute: No such file or directory

My emerge --info is:
Portage 2.1 (default-linux/amd64/2006.0, gcc-3.4.6, glibc-2.3.6-r3, 2.6.16-gentoo-r9 x86_64)
=================================================================
System uname: 2.6.16-gentoo-r9 x86_64 AMD Athlon(tm) 64 X2 Dual Core Processor 4600+
Gentoo Base System version 1.12.1
distcc 2.18.3 x86_64-pc-linux-gnu (protocols 1 and 2) (default port 3632) [enabled]
ccache version 2.3 [enabled]
dev-lang/python:     2.4.2
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     2.3
dev-util/confcache:  0.4.2-r1
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r1
sys-devel/binutils:  2.16.1-r2
sys-devel/gcc-config: 1.3.13-r2
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="amd64"
AUTOCLEAN="yes"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=k8 -O3 -pipe -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/lib/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/gconf /etc/revdep-rebuild /etc/terminfo"
CXXFLAGS="-march=k8 -O3 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoaddcvs autoconfig ccache collision-protect confcache distcc distlocks fixpackages metadata-transfer sandbox sfperms strict test userfetch userpriv usersandbox"
GENTOO_MIRRORS="http://pandemonium.tiscali.de/pub/gentoo/ http://gentoo.ngi.it http://gentoo.intergenia.de http://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/ http://linuv.uv.es/mirror/gentoo/ http://ftp.ntua.gr/pub/linux/gentoo/"
LANG="it_IT.UTF-8"
LC_ALL="it_IT.UTF-8"
LINGUAS="it"
MAKEOPTS="-j8"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/distfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/var/tmp/portage"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="amd64 X Xaw3d aalib acpi alsa arts audiofile avi bash-completion berkdb bitmap-fonts bzip2 caps cdparanoia cdr cli crypt cups curl dbus dga dio dri dvd dvdr dvdread emboss emul-linux-x86 encode exif expat fbcon ffmpeg fftw flac foomaticdb fortran ftp gcj gd ggi gif glut gmp gnutls gphoto2 gpm gstreamer gtk2 hal iconv idn ieee1394 imagemagick isdnlog java javascript jikes jpeg jpeg2k kde kdeenablefinal lcms libcaca lm_sensors lzw lzw-tiff mad maildir matroska memlimit mime mmap mng motif mozilla mp3 mpeg mpi ncurses nls nptl nsplugin offensive ogg openal opengl oss pam pcre pdf pdflib perl png posix ppds pppd python qt quicktime readline recode reflection samba sasl sdl session sharedmem shorten sndfile sockets sox speex spell spl ssl svg symlink sysvipc tcltk tcpd threads tidy tiff truetype truetype-fonts type1-fonts unicode usb vcd vorbis wmf xine xml xml2 xorg xosd xpm xv xvid zlib elibc_glibc kernel_linux linguas_it userland_GNU video_cards_radeon"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LDFLAGS, PORTAGE_RSYNC_EXTRA_OPTS

Directory /etc/vmware-server-console has permissions drwxrwx--- and owner root:vmware
The files inside are:
-rw-r--r-- 1 root vmware    42 21 giu 15:24 config
-rwxr-xr-x 1 root vmware 16606 21 giu 15:24 installer.sh
-rw-r--r-- 1 root vmware 70524 21 giu 15:25 locations
Comment 3 Paolo Pedroni 2006-06-21 07:01:38 UTC
Scratch the second problem. It works after logging out from X and logging in again. Go figure...

The first problem still stands, though.
Comment 4 Peter Humphrey 2006-06-23 06:12:31 UTC
I also had Paulo's two problems when I came to install vmware-server-console on my laptop. I solved the first as he did, though in my case after installing the console package, the second by "chown -R root:vmware /etc/vmware-server-console".
Comment 5 Mike Auty gentoo-dev 2006-06-23 10:35:19 UTC
Ok guys, thanks for that, it's a good spot!  It turns out when we swapped over to using the eclass to do the brunt of the work, I forgot to ensure it was creating the vmware group before we started.  I've updated the eclass now, so a remerge of vmware-server-console should solve the first problem.

The second problem is that your group does not get updated until you log off that instance of the user and re-log on (so quitting X will do it if you're in a graphical environment).  if you're ever uncertain which groups the system currently thinks you're a member of, the command "groups" should tell you (in that, it reads them from your currently logged in session, not from the groups file).

I hope this sorts both of those out, if not, gimme a shout and I'll look into them further!  5:)
Comment 6 Mike Auty gentoo-dev 2006-06-25 12:42:45 UTC
Quick update, build 27828 is now in the overlay...  5:)
Comment 7 Paul Kronenwetter 2006-06-26 09:49:04 UTC
Is anyone having problems running vmware or vmware-server-console?  Both behave in the same way.  They're looking for old versions of libhal and libdbus and SIGSEGV, leaving this in /tmp/vmware-{username}/ui-xxxx.log:

Jun 26 12:44:54: vmui| Log for VMware Server pid=6229 version=1.0.0 build=build-27828 option=Release
Jun 26 12:44:55: vmui| Using log file /tmp/vmware-{username}/ui-6229.log
Jun 26 12:47:47: vmui| HAL04LoadHALLibraries: Could not dlopen libhal.so.0.
Jun 26 12:47:47: vmui| HAL05LoadGlibLibrary: Could not dlopen libdbus-glib-1.so.1.
Jun 26 12:47:47: vmui| HAL05Init: HAL context initialization failed.
Jun 26 12:47:47: vmui| Caught signal 11 -- pid 1802
Jun 26 12:47:47: vmui| SIGNAL: eip 0xb6f3702a esp 0xbff5f9a0 ebp 0xbff5f9c8
Jun 26 12:47:47: vmui| SIGNAL: eax 0x1 ebx 0xb6f503f0 ecx 0x88b7da0 edx 0xabcdef esi 0x0 edi 0xabcdef
Jun 26 12:47:47: vmui| SIGNAL: stack 0xbff5f9a0 : 0x00abcdef 0xb6fcb9b8 0xbff5f9e0 0x088b7860
Jun 26 12:47:47: vmui| SIGNAL: stack 0xbff5f9b0 : 0x088b7ddc 0x088b7860 0xb6fc6850 0xb6fcb9b8
Jun 26 12:47:47: vmui| SIGNAL: stack 0xbff5f9c0 : 0xbff5f9e0 0x088b7860 0xbff5fa08 0xb6fc999f
Jun 26 12:47:47: vmui| SIGNAL: stack 0xbff5f9d0 : 0x088b7da0 0xb6fc6850 0x088b7860 0xbff5f9e0
Jun 26 12:47:47: vmui| SIGNAL: stack 0xbff5f9e0 : 0x00000000 0x00000000 0xbff5fa09 0x0828dd9b
Jun 26 12:47:47: vmui| SIGNAL: stack 0xbff5f9f0 : 0x00000001 0x00000001 0xbff5fa08 0x00000001
Jun 26 12:47:47: vmui| SIGNAL: stack 0xbff5fa00 : 0x088b7da0 0xbff5fa20 0xbff5fa48 0x0828d7b6
Jun 26 12:47:47: vmui| SIGNAL: stack 0xbff5fa10 : 0x088b7860 0x00000000 0x00000001 0xbff5fa87
Jun 26 12:47:47: vmui| Backtrace:
Jun 26 12:47:47: vmui| Backtrace[0] 0xbff5f4e8 eip 0x827ba20 
Jun 26 12:47:47: vmui| Backtrace[1] 0xbff5f648 eip 0x8507743 
Jun 26 12:47:47: vmui| Backtrace[2] 0xbff5f6b8 eip 0x85079ba 
Jun 26 12:47:47: vmui| Backtrace[3] 0xbff5f9c8 eip 0xffffe420 
Jun 26 12:47:47: vmui| Backtrace[4] 0xbff5fa08 eip 0xb6fc999f 
Jun 26 12:47:47: vmui| Backtrace[5] 0xbff5fa48 eip 0x828d7b6 
Jun 26 12:47:47: vmui| Backtrace[6] 0xbff5fa68 eip 0x828c70c 
Jun 26 12:47:47: vmui| Backtrace[7] 0xbff5fa88 eip 0x828afc2 
Jun 26 12:47:47: vmui| Backtrace[8] 0xbff5fab8 eip 0x8091acc 
Jun 26 12:47:47: vmui| Backtrace[9] 0xbff5fd18 eip 0x8086f95 
Jun 26 12:47:47: vmui| Backtrace[10] 0xbff5fdb8 eip 0x807a5b5 
Jun 26 12:47:47: vmui| Backtrace[11] 0xbff600b8 eip 0x8078c09 
Jun 26 12:47:47: vmui| Backtrace[12] 0xbff60118 eip 0xb706eee4 
Jun 26 12:47:47: vmui| Backtrace[13] 00000000 eip 0x80788f1 
Jun 26 12:47:47: vmui| Your core dump size limit is 0 kb.
Jun 26 12:47:47: vmui| Attempting to dump core ...


I've found and given them access to the old libraries but it doesn't help.  I'm looking for ideas as to where to go to fix...
Comment 8 Paul Kronenwetter 2006-06-26 09:50:28 UTC
My emerge --info, if it'll be helpful:
Portage 2.1 (default-linux/x86/2006.0, gcc-3.4.6, glibc-2.3.6-r4, 2.6.16-suspend2-r9 i686)
=================================================================
System uname: 2.6.16-suspend2-r9 i686 Mobile Intel(R) Pentium(R) 4 - M CPU 2.20GHz
Gentoo Base System version 1.6.14
distcc 2.18.3 i686-pc-linux-gnu (protocols 1 and 2) (default port 3632) [enabled]
ccache version 2.3 [enabled]
dev-lang/python:     2.4.2
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     2.3
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r1
sys-devel/binutils:  2.16.1-r2
sys-devel/gcc-config: 1.3.13-r2
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=i586 -mno-tls-direct-seg-refs -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /home/httpd /lib/modules /usr/NX/etc /usr/NX/home /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/lib/X11/xkb /usr/share/config /usr/share/texmf/dvipdfm/config/ /usr/share/texmf/dvips/config/ /usr/share/texmf/tex/generic/config/ /usr/share/texmf/tex/platex/config/ /usr/share/texmf/xdvi/ /var/bind"
CONFIG_PROTECT_MASK="/etc/env.d /etc/gconf /etc/revdep-rebuild /etc/terminfo"
CXXFLAGS="-O2 -march=i586 -mno-tls-direct-seg-refs -pipe"
DISTDIR="/export/home1/portage/distfiles"
FEATURES="autoconfig buildpkg ccache distcc distlocks metadata-transfer sandbox sfperms strict userpriv usersandbox"
GENTOO_MIRRORS="http://mirror.datapipe.net/gentoo http://mirror.datapipe.net/gentoo http://open-systems.ufl.edu/mirrors/gentoo http://mirrors.tds.net/gentoo"
LANG="en_US"
LINGUAS="en"
PKGDIR="/export/home1/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/distfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/export/home1/portage/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.us.gentoo.org/gentoo-portage"
USE="x86 3dfx X acpi alsa apache2 apm arts asf avi berkdb bitmap-fonts cli crypt cups dbus dri dvd eds emboss encode esd firefox font-server foomaticdb fortran gdbm gif gimp gimpprint gnome gnutls gpm gps gstreamer gtk gtk2 ieee1394 imlib ipv6 isdnlog jce jpeg libg++ libwww mad mbox mbrola mikmod milter mmx motif mozsvg mp3 mpeg ncurses nls no-htdocs nptl nsplugin ogg opengl oss pam pcre pda pdflib perl plugin png ppds pppd python qt quicktime readline reflection sdl server session shape softmmu spell spl sse ssl tcpd truetype truetype-fonts trusted type1-fonts udev unicode userlocales vorbis win32codecs xfs xml xmms xorg xv zlib elibc_glibc kernel_linux linguas_en userland_GNU"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LDFLAGS, MAKEOPTS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 9 Paul Kronenwetter 2006-06-26 10:46:20 UTC
Running gdb on the vmware binary revealed this:

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1224759632 (LWP 11948)]
0xb6f5bd52 in dbus_g_message_get_message ()
   from /opt/vmware/server/lib/lib/libgcc_s.so.1/libdbus-glib-1.so.1

Stopping the dbus daemon and killing my personal dbus processes allowed vmware to continue executing, but it stopped with a SIGABRT (6) after emitting these messages:

(vmware:12222): GdkPixbuf-WARNING **: Can not open pixbuf loader module file '/usr/etc/gtk-2.0/gdk-pixbuf.loaders': No such file or directory

(vmware:12222): GdkPixbuf-WARNING **: Can not open pixbuf loader module file '/usr/etc/gtk-2.0/gdk-pixbuf.loaders': No such file or directory
Couldn't recognize the image file format for file '/opt/vmware/server/lib/share/pixmaps/console.png'

(vmware:12222): GdkPixbuf-WARNING **: Can not open pixbuf loader module file '/usr/etc/gtk-2.0/gdk-pixbuf.loaders': No such file or directory
Couldn't recognize the image file format for file '/opt/vmware/server/lib/share/pixmaps/upgrade-hw.png'
...
(vmware:12222): GdkPixbuf-WARNING **: Can not open pixbuf loader module file '/usr/etc/gtk-2.0/gdk-pixbuf.loaders': No such file or directory
Couldn't recognize the image file format for file '/opt/vmware/server/lib/share/pixmaps/vm-legacy-broken.png'

(vmware:12222): GdkPixbuf-WARNING **: Can not open pixbuf loader module file '/usr/etc/gtk-2.0/gdk-pixbuf.loaders': No such file or directory

Program received signal SIGABRT, Aborted.

The /tmp/vmware-{username}/ui-xxxx.log file contains this:
Jun 26 13:44:29: vmui| Log for VMware Server pid=12222 version=1.0.0 build=build-27828 option=Release
Jun 26 13:44:29: vmui| Using log file /tmp/vmware-{username}/ui-xxxx.log
Jun 26 13:44:29: vmui| HAL04LoadHALLibraries: Could not dlopen libhal.so.0.
Jun 26 13:44:29: vmui| HAL05Init: Error getting DBus connection: Failed to connect to socket /var/run/dbus/system_bus_socket: No such file or directory.
Jun 26 13:44:30: vmui| SMBIOS: can't open /dev/mem
Jun 26 13:44:30: vmui| VmhsHostInfoPopulateSystem:  Could not get information from smbios to populate VMDB.
Jun 26 13:44:30: vmui| HOSTINFO: Seeing Intel CPU, numCoresPerCPU 1 numThreadsPerCore 1.
Jun 26 13:44:30: vmui| HOSTINFO: This machine has 1 physical CPUS, 1 total cores, and 1 logical CPUs.
Jun 26 13:44:30: vmui| Using system libcrypto, version 90709F
Jun 26 13:44:30: vmui| Couldn't recognize the image file format for file '/opt/vmware/server/lib/share/pixmaps/console.png'
Jun 26 13:44:30: vmui| Couldn't recognize the image file format for file '/opt/vmware/server/lib/share/pixmaps/upgrade-hw.png'
Jun 26 13:44:30: vmui| Couldn't recognize the image file format for file '/opt/vmware/server/lib/share/pixmaps/pvn.png'
Jun 26 13:44:30: vmui| Couldn't recognize the image file format for file '/opt/vmware/server/lib/share/pixmaps/vm-off.png'
Jun 26 13:44:30: vmui| Couldn't recognize the image file format for file '/opt/vmware/server/lib/share/pixmaps/vmlist-on.png'
Jun 26 13:44:30: vmui| Couldn't recognize the image file format for file '/opt/vmware/server/lib/share/pixmaps/vmlist-suspend.png'
Jun 26 13:44:30: vmui| Couldn't recognize the image file format for file '/opt/vmware/server/lib/share/pixmaps/vmlist-not.png'
Jun 26 13:44:30: vmui| Couldn't recognize the image file format for file '/opt/vmware/server/lib/share/pixmaps/vm-new.png'
Jun 26 13:44:30: vmui| Couldn't recognize the image file format for file '/opt/vmware/server/lib/share/pixmaps/vm-settings.png'
Jun 26 13:44:30: vmui| Couldn't recognize the image file format for file '/opt/vmware/server/lib/share/pixmaps/vm-add.png'
Jun 26 13:44:30: vmui| Couldn't recognize the image file format for file '/opt/vmware/server/lib/share/pixmaps/vm-remove.png'
Jun 26 13:44:30: vmui| Couldn't recognize the image file format for file '/opt/vmware/server/lib/share/pixmaps/team-off.png'
Jun 26 13:44:30: vmui| Couldn't recognize the image file format for file '/opt/vmware/server/lib/share/pixmaps/team-on.png'
Jun 26 13:44:30: vmui| Couldn't recognize the image file format for file '/opt/vmware/server/lib/share/pixmaps/team-suspend.png'
Jun 26 13:44:30: vmui| Couldn't recognize the image file format for file '/opt/vmware/server/lib/share/pixmaps/team-broken.png'
Jun 26 13:44:30: vmui| Couldn't recognize the image file format for file '/opt/vmware/server/lib/share/pixmaps/team-new.png'
Jun 26 13:44:30: vmui| Couldn't recognize the image file format for file '/opt/vmware/server/lib/share/pixmaps/team-settings.png'
Jun 26 13:44:30: vmui| Couldn't recognize the image file format for file '/opt/vmware/server/lib/share/pixmaps/vm-clone.png'
Jun 26 13:44:30: vmui| Couldn't recognize the image file format for file '/opt/vmware/server/lib/share/pixmaps/vm-clone-on.png'
Jun 26 13:44:30: vmui| Couldn't recognize the image file format for file '/opt/vmware/server/lib/share/pixmaps/vm-clone-suspended.png'
Jun 26 13:44:30: vmui| Couldn't recognize the image file format for file '/opt/vmware/server/lib/share/pixmaps/vm-clone-broken.png'
Jun 26 13:44:30: vmui| Couldn't recognize the image file format for file '/opt/vmware/server/lib/share/pixmaps/vm-clone-settings.png'
Jun 26 13:44:30: vmui| Couldn't recognize the image file format for file '/opt/vmware/server/lib/share/pixmaps/vm-legacy-off.png'
Jun 26 13:44:30: vmui| Couldn't recognize the image file format for file '/opt/vmware/server/lib/share/pixmaps/vm-legacy-on.png'
Jun 26 13:44:30: vmui| Couldn't recognize the image file format for file '/opt/vmware/server/lib/share/pixmaps/vm-legacy-suspend.png'
Jun 26 13:44:30: vmui| Couldn't recognize the image file format for file '/opt/vmware/server/lib/share/pixmaps/vm-legacy-broken.png'
Comment 10 Paul Kronenwetter 2006-06-26 10:50:56 UTC
I re-emerge'd vmware-server-console and *both* vmware and the console work fine...  

Grr... :)
Comment 11 M. Edward Borasky 2006-06-26 21:59:52 UTC
I have the latest vmware-server-console beta loaded (not from the overlay -- straight from VMware's download, tarball  VMware-server-console-1.0.0-27828.tar.gz). I just ran "revdep-rebuild" and it looks like there are some libraries that need to be there:

  broken /usr/lib/vmware-server-console/libconf/lib/gtk-2.0/2.4.0/immodules/im-am-et.la (requires /usr/lib/libXft.la)
  broken /usr/lib/vmware-server-console/libconf/lib/gtk-2.0/2.4.0/immodules/im-am-et.la (requires /usr/lib/libXrender.la)
  broken /usr/lib/vmware-server-console/libconf/lib/gtk-2.0/2.4.0/immodules/im-cedilla.la (requires /usr/lib/libXft.la)
  broken /usr/lib/vmware-server-console/libconf/lib/gtk-2.0/2.4.0/immodules/im-cedilla.la (requires /usr/lib/libXrender.la)
  broken /usr/lib/vmware-server-console/libconf/lib/gtk-2.0/2.4.0/immodules/im-cyrillic-translit.la (requires /usr/lib/libXft.la)
  broken /usr/lib/vmware-server-console/libconf/lib/gtk-2.0/2.4.0/immodules/im-cyrillic-translit.la (requires /usr/lib/libXrender.la)
  broken /usr/lib/vmware-server-console/libconf/lib/gtk-2.0/2.4.0/immodules/im-inuktitut.la (requires /usr/lib/libXft.la)
  broken /usr/lib/vmware-server-console/libconf/lib/gtk-2.0/2.4.0/immodules/im-inuktitut.la (requires /usr/lib/libXrender.la)
  broken /usr/lib/vmware-server-console/libconf/lib/gtk-2.0/2.4.0/immodules/im-ipa.la (requires /usr/lib/libXft.la)
  broken /usr/lib/vmware-server-console/libconf/lib/gtk-2.0/2.4.0/immodules/im-ipa.la (requires /usr/lib/libXrender.la)
  broken /usr/lib/vmware-server-console/libconf/lib/gtk-2.0/2.4.0/immodules/im-thai-broken.la (requires /usr/lib/libXft.la)
  broken /usr/lib/vmware-server-console/libconf/lib/gtk-2.0/2.4.0/immodules/im-thai-broken.la (requires /usr/lib/libXrender.la)
  broken /usr/lib/vmware-server-console/libconf/lib/gtk-2.0/2.4.0/immodules/im-ti-er.la (requires /usr/lib/libXft.la)
  broken /usr/lib/vmware-server-console/libconf/lib/gtk-2.0/2.4.0/immodules/im-ti-er.la (requires /usr/lib/libXrender.la)
  broken /usr/lib/vmware-server-console/libconf/lib/gtk-2.0/2.4.0/immodules/im-ti-et.la (requires /usr/lib/libXft.la)
  broken /usr/lib/vmware-server-console/libconf/lib/gtk-2.0/2.4.0/immodules/im-ti-et.la (requires /usr/lib/libXrender.la)
  broken /usr/lib/vmware-server-console/libconf/lib/gtk-2.0/2.4.0/immodules/im-viqr.la (requires /usr/lib/libXft.la)
  broken /usr/lib/vmware-server-console/libconf/lib/gtk-2.0/2.4.0/immodules/im-viqr.la (requires /usr/lib/libXrender.la)
  broken /usr/lib/vmware-server-console/libconf/lib/gtk-2.0/2.4.0/immodules/im-xim.la (requires /usr/lib/libXft.la)
  broken /usr/lib/vmware-server-console/libconf/lib/gtk-2.0/2.4.0/immodules/im-xim.la (requires /usr/lib/libXrender.la)
 done.

I'll try the overlay if someone will tell me how to access it.
Comment 12 Mike Auty gentoo-dev 2006-06-27 01:05:39 UTC
The overlay's pretty simple to access Edward, since it's now a part of layman.  So, the steps you should follow are:

* "emerge layman"
* Follow the instructions to add a line at the bottom of make.conf as follows:
  "source /usr/portage/local/layman/make.conf"
* "layman -a vmware"

After that you should be using the overlay, and you can now install vmware-server-console, and vmware-server if you like.  Hopefully this will pull in libXft and libXrender, if you're using modular X, and that should satisfy the various files you're having problems with.  If not, please post back here and we'll look into it some more...  5:)
Comment 13 Mike Auty gentoo-dev 2006-06-27 10:36:11 UTC
Peter, concerning you password login problems, there's a whole heap of reasons why it might tell you your password isn't right, so please bear with me whilst we go through them...  5:)

Firstly the easy one, these will sound stupid, but it's always better to check:

* Make sure you've got the right username
* Make sure that username has the password you think it does
* Make sure that username is a member of the group mentioned in /etc/vmware/vmwargroup
* Make sure that when you try to connect to the server, you use it's IP address
* Please check xinetd's logs as to why it failed your login

I would suggest that you try it without an only_from line, but if that's what's causing the problem, the server usually hangs, rather than tells you bad password.  My best guess is pam doesn't like the combination of username and password you've fed it for some reason, and I'd double check those first...

If you try all that and still no luck, please post the syslog xinetd lines relating to the login attempt, and that might help us diagnose the problem a bit more...  5:)
Comment 14 Peter Humphrey 2006-06-28 02:19:26 UTC
(In reply to comment #13)

> Firstly the easy one, these will sound stupid, but it's always better to check:

Stupid I can do :)
 
I used all the same info as the day before the upgrade. I also tried as root, but I got the same result. Log extract is below.

> I would suggest that you try it without an only_from line,

The only only_from line I have is in /etc/xinetd.conf, which I've changed from localhost to 192.168.0.0/16 to enable me to login over the LAN.

> If you try all that and still no luck, please post the syslog xinetd lines
> relating to the login attempt, and that might help us diagnose the problem a
> bit more...  5:)

~ # tail -n 23 /var/log/messages
Jun 28 09:17:54 wstn (prh-12381): starting (version 2.14.0), pid 12381 user 'prh'
Jun 28 09:17:54 wstn (prh-12381): Resolved address "xml:readonly:/etc/gconf/gconf.xml.mandatory" to a read-only configuration source at position 0
Jun 28 09:17:54 wstn (prh-12381): Resolved address "xml:readwrite:/home/prh/.gconf" to a writable configuration source at position 1
Jun 28 09:17:54 wstn (prh-12381): Resolved address "xml:readonly:/etc/gconf/gconf.xml.defaults" to a read-only configuration source at position 2
Jun 28 09:17:58 wstn xinetd[10887]: START: vmware-authd pid=12383 from=192.168.129.25
Jun 28 09:17:58 wstn xinetd[10887]: EXIT: vmware-authd status=1 pid=12383 duration=0(sec)
Jun 28 09:17:58 wstn vmware-authd[12383]: PAM unable to dlopen(/lib/security/pam_unix.so)
Jun 28 09:17:58 wstn vmware-authd[12383]: PAM [error: /lib/security/pam_unix.so: wrong ELF class: ELFCLASS64]
Jun 28 09:17:58 wstn vmware-authd[12383]: PAM adding faulty module: /lib/security/pam_unix.so
Jun 28 09:17:58 wstn vmware-authd[12383]: PAM unable to dlopen(/lib/security/pam_unix_auth.so)
Jun 28 09:17:58 wstn vmware-authd[12383]: PAM [error: /lib/security/pam_unix_auth.so: wrong ELF class: ELFCLASS64]
Jun 28 09:17:58 wstn vmware-authd[12383]: PAM adding faulty module: /lib/security/pam_unix_auth.so
Jun 28 09:17:58 wstn vmware-authd[12383]: PAM unable to dlopen(/lib/security/pam_listfile.so)
Jun 28 09:17:58 wstn vmware-authd[12383]: PAM [error: /lib/security/pam_listfile.so: wrong ELF class: ELFCLASS64]
Jun 28 09:17:58 wstn vmware-authd[12383]: PAM adding faulty module: /lib/security/pam_listfile.so
Jun 28 09:17:58 wstn vmware-authd[12383]: PAM unable to dlopen(/lib/security/pam_unix_acct.so)
Jun 28 09:17:58 wstn vmware-authd[12383]: PAM [error: /lib/security/pam_unix_acct.so: wrong ELF class: ELFCLASS64]
Jun 28 09:17:58 wstn vmware-authd[12383]: PAM adding faulty module: /lib/security/pam_unix_acct.so
Jun 28 09:17:58 wstn vmware-authd[12383]: PAM unable to dlopen(/lib/security/pam_deny.so)
Jun 28 09:17:58 wstn vmware-authd[12383]: PAM [error: /lib/security/pam_deny.so: wrong ELF class: ELFCLASS64]
Jun 28 09:17:58 wstn vmware-authd[12383]: PAM adding faulty module: /lib/security/pam_deny.so
Jun 28 09:18:24 wstn (prh-12381): GConf server is not in use, shutting down.
Jun 28 09:18:24 wstn (prh-12381): Exiting

Next I remerged sys-libs/pam-0.78-r5, but of course that didn't help. So I downgraded vmware-server (not the console - my mistake) back to 24927-r1 and I could log in again and run a VM. Now I've upgraded the server again to 27828 and I get the problem back.

Oh, and of course I did run vmware-config.pl after each change. I've also just run vmware-config-server-console.pl again as well, but that made no difference either.
Comment 15 Mike Auty gentoo-dev 2006-06-28 04:28:11 UTC
Peter, I'm afraid I've forgotten, but are you running on an amd64?  If so, please update your overlay and try again.  A fix went in last night to correct pam difficulties on amd64, so that might have cured it.  You'll have to etc-update/dispatch-conf once you're done, and when re-running the vmware-config.pl script don't forget to say YES you do want to overwrite /etc/pam.d/vmware-authd.  Give that a try and see if it helps please.  If not, please post the contents of your /etc/pam.d/vmware-authd...  5:)
Comment 16 Peter Humphrey 2006-06-28 06:18:48 UTC
Yes, this is ~amd64. The latest fix you recommended has worked for me - thanks!

This is what I did, just for completeness:

-- 
# find /etc -name vmware\* | grep auth
/etc/pam.d/vmware-authd
/etc/xinetd.d/vmware-authd
/etc/vmware/pam.d/vmware-authd
# rm etc/pam.d/vmware-authd /etc/xinetd.d/vmware-authd /etc/vmware/pam.d/vmware-authd
# emerge vmware-server
# /opt/vmware/server/bin/vmware-config.pl
-- 
Comment 17 M. Edward Borasky 2006-06-29 07:01:30 UTC
Is the web interface supposed to be part of this ebuild? Is another ebuild going to carry it? When I was downloading it directly from VMware, I was getting another package that carried a version of Apache on the system hosting the server. You could browse to the server and do some management type things, as well as opening a console.
Comment 18 Mike Auty gentoo-dev 2006-06-29 07:06:24 UTC
Hi Edward, the vmware web interface would be in a package called vmware-server-mui and will not be a part of the vmware-server-console package.

I'm afraid that it's not likely to come about anytime soon unless someone else submits one.  Before looking at that I have to get the vmware-server-tools package ready (which someone has very kindly submitted, but I, like the lazy dog that I am, have yet to test), so it's really very low on the task list.  Sorry...  5:(
Comment 19 M. Edward Borasky 2006-06-29 09:07:26 UTC
(In reply to comment #18)
> Hi Edward, the vmware web interface would be in a package called
> vmware-server-mui and will not be a part of the vmware-server-console package.
> 
> I'm afraid that it's not likely to come about anytime soon unless someone else
> submits one.  Before looking at that I have to get the vmware-server-tools
> package ready (which someone has very kindly submitted, but I, like the lazy
> dog that I am, have yet to test), so it's really very low on the task list. 
> Sorry...  5:(
> 
Yeah ... ah well ... I think "mui" runs straight off the VMware web site.
Comment 20 Jeremy Wilkins 2006-07-20 09:38:59 UTC
Hi, I have been having troubles with EVERY version of vmware-server-console, as none of them will even run.  I get no logs or anything, not even a console message.  It just seems to begin to load for a couple seconds and drops back to the prompt.  I've tried everything on this page including chowning the file groups to vmware, unmerging all portage packages and deleting all remaining directories/files/modules/configs and reinstalling everything.  My user is even a member of the vmware group ane I've run groups to ensure it is active.  Still after all my efforts it does not work.  Has anyone else had this trouble?
Here is my emerge --info:

Portage 2.1 (default-linux/x86/2006.0, gcc-3.4.5, glibc-2.3.5-r2, 2.6.15-gentoo-r1 i686)
=================================================================
System uname: 2.6.15-gentoo-r1 i686 AMD Athlon(TM) XP2200+
Gentoo Base System version 1.6.14
distcc 2.18.3 i686-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
app-admin/eselect-compiler: [Not Present]
dev-lang/python:     2.3.5-r2, 2.4.2
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     [Not Present]
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r1
sys-devel/binutils:  2.16.1
sys-devel/gcc-config: 1.3.13-r1
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O3 -mtune=athlon-xp -march=athlon-xp -pipe -fomit-frame-pointer -ffast-math -funroll-loops"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/NX/etc /usr/NX/home /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/lib/X11/xkb /usr/share/config /usr/share/texmf/dvipdfm/config/ /usr/share/texmf/dvips/config/ /usr/share/texmf/tex/generic/config/ /usr/share/texmf/tex/platex/config/ /usr/share/texmf/xdvi/"
CONFIG_PROTECT_MASK="/etc/env.d /etc/gconf /etc/splash /etc/terminfo"
CXXFLAGS="-O3 -mtune=athlon-xp -march=athlon-xp -pipe -fomit-frame-pointer -ffast-math -funroll-loops"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks metadata-transfer sandbox sfperms strict"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/distfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage /usr/portage/local/layman/vmware"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="x86 3dnow 3dnowext X a52 aac aalib acl acpi aim alsa apache2 apm ares arts avi berkdb bitmap-fonts bzip2 calendar cdparanoia cdr cli cpudetection crypt cscope ctype cups dba dbus dbx dga dio directfb divx4linux dllloader dlloader doc dri dts dv dvd dvdr ecagressive ecmark2 editor edl eds emboss encode esd evo expat fbcon flac flash foomaticdb fortran freeglut ftp gb gd gdbm ggi gif gmp gnokii gnome gpgme gpm gps gstreamer gtk gtk2 hal iconv icq imap imlib innodb insecure-drivers iodbc ipv6 isdnlog ithread jabber jack java javascript joystick jpeg jpeg2k kde kerberos kqemu krb4 ladcca ldap libg++ libwww live lm_sensors lzo mad mailwrapper maps matroska mbox mikmod milter mime ming mmap mmx mmxext mono motif mozilla mp3 mpeg msn musepack music musicbrainz mysql mysqli nas ncurses nis nls nntp nocd nolvmstatic nowin nptl nvidia nxclient odbc offensive ofx ogg openal openexr opengl pam pcntl pcre pda pdflib perl php png pop povray pppd print python qt qt3 qt4 quicktime rdesktop readline real reflection rtc samba sasl scanner sdl server session shared sharedext sharedmem slp smime soap sockets sounds spell spl sqlite sse sse2 ssl subversion svg svga sysfs sysvipc tcltk tcpd tiff timidity tools truetype truetype-fonts type1-fonts udev unicode urandom usb v4l v4l2 videos visualizations vnc vorbis watchdog win32codecs wmf wxwindows x264 xanim xbase xine xinerama xml xmlrpc xmms xorg xosd xsl xv xvid xvmc yahoo zaptel zeroconf zlib elibc_glibc input_devices_keyboard input_devices_mouse input_devices_evdev kernel_linux userland_GNU video_cards_nvidia video_cards_sis video_cards_via"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, LINGUAS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 21 ozstriker78 2006-08-07 15:16:38 UTC
I had the same problem.  The way I fixed it was by stopping the dbus service:

/etc/init.d/dbus stop

Now you can start up vmware-server-console.
Comment 22 Mike Auty gentoo-dev 2006-08-07 15:27:42 UTC
Sorry I didn't get back to you sooner Jeremy.  I think I went off looking for the magic environment variable and never came back.  I haven't yet been able to duplicate the issue, or find some magic vmware environment variable that will enable debugging.  That leaves my next best suggestion at installing strace, and running "strace vmware-server-console" and see what gets output.  You can output it to a file with "strace -o <afile> vmware-server-console".  If you attach the output here, we can take a look and see if we can find out the issue...
Comment 23 Alon Bar-Lev gentoo-dev 2006-09-17 04:34:56 UTC
(In reply to comment #21)
> I had the same problem.  The way I fixed it was by stopping the dbus service:
> 
> /etc/init.d/dbus stop
> 
> Now you can start up vmware-server-console.

Same here.
vmware (of vmware-server)
vmware-server-console

Are not started unless dbus daemon is down.
Bluetooth requires dbus... So no bluetooth + vmware... :)

Since vmware is binary, I could not investigate any further.

Regards,
Comment 24 Peter Humphrey 2006-10-03 01:52:50 UTC
Today I ran emerge -uaDvN world, which installed vmware-server-console-1.0.1.29996-r2, and now I can't run the console; I get a symbol lookup error:

$ vmware-server-console
/opt/vmware/server/console/lib/bin/vmware-server-console: symbol lookup error: /opt/vmware/server/console/lib/lib/libssl.so.0.9.7/libssl.so.0.9.7: undefined symbol: EVP_idea_cbc
/opt/vmware/server/console/lib/bin/vmware-server-console: symbol lookup error: /opt/vmware/server/console/lib/lib/libssl.so.0.9.7/libssl.so.0.9.7: undefined symbol: EVP_idea_cbc

I've run revdep-rebuild -X --library=libssl.so.0.9.7, which caused emul-linux-x86-baselibs-2.5.2 to be remerged, but that didn't fix it (rerunning the revdep-rebuild command found the same need to remerge libssl, so I guess it's one of those unfixable things). Then:

# ldd /opt/vmware/server/console/lib/lib/libssl.so.0.9.7/libssl.so.0.9.7
        linux-gate.so.1 =>  (0xffffe000)
        libcrypto.so.0.9.7 => /emul/linux/x86/usr/lib/libcrypto.so.0.9.7 (0xf7e43000)
        libdl.so.2 => /lib32/libdl.so.2 (0xf7e3f000)
        libc.so.6 => /lib32/libc.so.6 (0xf7d22000)
        /lib/ld-linux.so.2 (0x56555000)

I don't know what linux-gate is, but libdl, libc and ld-linux are part of glibc and libcrypto is in x86-baselibs, so I'm remerging those two at the moment.

Anything else I should try if that doesn't fix it?
Comment 25 Mike Auty gentoo-dev 2006-10-03 01:58:00 UTC
Errr, yeah, I do appologize about that.  It seems the fix that was added to the vmware.eclass for an openssl vulnerability wasn't complete, so it copied over libssl from a patched version, but not libcrypto.  Hopefully we'll be fixing that later this evening, and (sorry) there'll most likely be another version bump very late tonight that should sort it.  I am sorry about all the trouble caused, you can read more about it on bug 148682...  5:(
Comment 26 Chris L. Mason 2006-10-03 07:05:49 UTC
The latest build (vmware-server-console-1.0.1.29996-r2) seems to still have ssl problems:

/opt/vmware/server/console/lib/bin/vmware-server-console: symbol lookup error: /opt/vmware/server/console/lib/lib/libssl.so.0.9.7/libssl.so.0.9.7: undefined symbol: EVP_idea_cbc

Should I make another bug for this?

Thanks.
Comment 27 Mike Auty gentoo-dev 2006-10-03 07:19:54 UTC
No, it's ok.  If you follow bug 148682 you'll see that the immediate patch we applied to cover a security risk didn't quite work.  Chris has fixed that up for the workstation builds and I'll be bumping the server/console builds yet again when I get home tonight (so be done by about 1AM GMT tomorrow).  Sorry for the inconvenience...  5:(
Comment 28 Peter Humphrey 2006-10-03 13:07:24 UTC
Well, thanks for rushing it out, Mike, but now I have another problem. I start the console, enter my password and click Connect, and it goes away for ever. I think this is an old bug, but I'm too tired to chase it now. At least I know don't have a stray eclass file lying around.

Tomorrow I'm off on my honeymoon, so you have a fortnight to fix it! Good luck...
Comment 29 Mike Auty gentoo-dev 2006-10-03 13:20:56 UTC
Well, congratulations!  I hope the honeymoon is superb!  The usual reason for vmware-server-console hanging is the xinetd permissions.  Make sure the only_from line specifices your correct IP address, and hopefully it'll all just work.  Haven't tried it myself however, I'm just off to go eradicate openssl-0.9.7 from my box in an attempt to see whether the vmware issues really are fixed.  Have an excellent couple of weeks!!!!  5:)
Comment 30 Peter Humphrey 2006-10-04 00:47:06 UTC
Thanks for the good wishes Mike.

I don't think any permissions have changed, as vmware was working just fine two days ago until the latest 1.0.1.29996-r3 version. I checked my only_from line in /etc/xinetd.conf, which says 192.168.0.0/16, and I tried setting it to the specific address of this box and restarting xinetd, but no improvement so I set it back again.

Sorry, but it looks as though the problem is not mine this time :-)
Comment 31 Peter Humphrey 2006-10-17 07:40:26 UTC
Ok, now app-emulation/vmware-server-console-1.0.1.29996-r4 works just fine for me. Thanks Mike.

PS. Paphos was wonderful!
Comment 32 Mike Auty gentoo-dev 2006-10-17 07:46:14 UTC
Hehehe, glad you had a good time.  I have no idea what I did, but if it's all working, then that's good news!  5:)
Comment 33 Peter Humphrey 2006-10-23 14:23:36 UTC
What's the state of play re dbus, Mike? I'd like to install OpenOffice.org, but it wants to install dbus and you've put a block on that for the latest version of vmware-server-console.
Comment 34 Alon Bar-Lev gentoo-dev 2006-10-23 14:26:22 UTC
(In reply to comment #33)
> What's the state of play re dbus, Mike? I'd like to install OpenOffice.org, but
> it wants to install dbus and you've put a block on that for the latest version
> of vmware-server-console.

It is not the latest.
Please add ~x86 keyword:
echo "sys-apps/dbus ~x86" >> /etc/portage/package.keywords

Comment 35 Mike Auty gentoo-dev 2006-10-23 16:25:50 UTC
Thanks Alon, yeah, there was a reported problem with dbus-0.61 (I think it might've been Alon who reported it, in his pre-dev days), but dbus-0.62 is fine.  However since vmware-server-console is ~ARCH I didn't see it as that much of a problem, so haven't done anywork to determine the exact problem.  Hope that's ok Peter...
Comment 36 Paolo Pedroni 2007-01-11 16:09:55 UTC
Created attachment 106574 [details]
output of /opt/vmware/server/console/lib/lib/libcrypto.so.0.9.7/libcrypto.so.0.9.7
Comment 37 Paolo Pedroni 2007-01-11 16:22:56 UTC
I have a curious problem with vmware-server-console now. I have it installed on
three different machines (all AMD64, all similarly spec'ed): two are very old
installation, tracked all the development of vmware-server-console and its
ebuild and work perfectly, the remaining one was installed yesterday and it
gives the EVP_idea_cbc error as of comment #24 and following. It looks like it
does not find the openssl emulation libraries provided by
emul-linux-x86-baselibs (I tried both with stable and unstable ones) and falls
back to the vmware-server-console provide libs, which do not provide that
symbol in libcrypto (output of nm -D
/opt/vmware/server/console/lib/lib/libcrypto.so.0.9.7/libcrypto.so.0.9.7) is
attached.

What I wonder is why it looks for that file only on that machine and why the
supplied libraries miss a necessary symbol.

For comparison I supply the output of 'ldd
/opt/vmware/server/console/lib/lib/libssl.so.0.9.7/libssl.so.0.9.7' on the
three machines:

This is the one experiencing the problem
(app-emulation/emul-linux-x86-baselibs-2.5.5-r3)
paolo@mediacenter ~ $ ldd
/opt/vmware/server/console/lib/lib/libssl.so.0.9.7/libssl.so.0.9.7
        linux-gate.so.1 =>  (0xffffe000)
        libcrypto.so.0.9.7 => /usr/lib32/libcrypto.so.0.9.7 (0xf7e0f000)
        libdl.so.2 => /lib32/libdl.so.2 (0xf7e0b000)
        libc.so.6 => /lib32/libc.so.6 (0xf7cce000)
        /lib/ld-linux.so.2 (0x56555000)
It looks like it searches for libcrypto in the right place, but then it doesn't

Second machine (app-emulation/emul-linux-x86-baselibs-2.5.5) works perfectly:
paolo@biocomm ~ $ ldd
/opt/vmware/server/console/lib/lib/libssl.so.0.9.7/libssl.so.0.9.7
        linux-gate.so.1 =>  (0xffffe000)
        libcrypto.so.0.9.7 => /emul/linux/x86/usr/lib/libcrypto.so.0.9.7
(0xf7e7e000)
        libdl.so.2 => /lib32/libdl.so.2 (0xf7e7a000)
        libc.so.6 => /lib32/libc.so.6 (0xf7d3d000)
        /lib/ld-linux.so.2 (0x56555000)

Third machine (app-emulation/emul-linux-x86-baselibs-2.5.5-r3) works perfectly
as well:
paolo@principale ~ $ ldd
/opt/vmware/server/console/lib/lib/libssl.so.0.9.7/libssl.so.0.9.7
ldd: warning: you do not have execution permission for
`/opt/vmware/server/console/lib/lib/libssl.so.0.9.7/libssl.so.0.9.7'
        linux-gate.so.1 =>  (0xffffe000)
        libcrypto.so.0.9.7 => /usr/lib32/libcrypto.so.0.9.7 (0xf7e63000)
        libdl.so.2 => /lib32/libdl.so.2 (0xf7e5f000)
        libc.so.6 => /lib32/libc.so.6 (0xf7d22000)
        /lib/ld-linux.so.2 (0x56555000)
Comment 38 Paolo Pedroni 2007-01-11 16:30:17 UTC
I forgot the output of emerge --info on the not-working machine, maybe it can help:

paolo@mediacenter ~ $ emerge --info
Portage 2.1.1-r2 (default-linux/amd64/2006.1/desktop, gcc-4.1.1, glibc-2.4-r4, 2.6.18-gentoo-r6 x86_64)
=================================================================
System uname: 2.6.18-gentoo-r6 x86_64 AMD Athlon(tm) 64 Processor 3800+
Gentoo Base System version 1.12.6
Last Sync: Thu, 11 Jan 2007 11:00:01 +0000
distcc 2.18.3 x86_64-pc-linux-gnu (protocols 1 and 2) (default port 3632) [enabled]
ccache version 2.3 [enabled]
app-admin/eselect-compiler: [Not Present]
dev-java/java-config: 1.3.7, 2.0.30
dev-lang/python:     2.4.3-r4
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     2.3
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.61
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.16.1-r3
sys-devel/gcc-config: 1.3.14
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="amd64"
AUTOCLEAN="yes"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=k8 -O3 -pipe -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/java-config/vms/ /etc/revdep-rebuild /etc/terminfo"
CXXFLAGS="-march=k8 -O3 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoaddcvs autoconfig ccache collision-protect distcc distlocks fixpackages metadata-transfer sandbox sfperms strict test userfetch userpriv usersandbox"
GENTOO_MIRRORS="http://pandemonium.tiscali.de/pub/gentoo/ http://gentoo.mirror.solnet.ch http://gentoo.inode.at/ http://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/ http://ftp.snt.utwente.nl/pub/os/linux/gentoo http://ftp.du.se/pub/os/gentoo"
LC_ALL="it_IT.UTF-8"
LINGUAS="it"
MAKEOPTS="-j11"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/distfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage /usr/portage/local/layman/vmware"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="amd64 X Xaw3d a52 aalib acpi alsa alsa_cards_intel-8x0 alsa_pcm_plugins_adpcm alsa_pcm_plugins_alaw alsa_pcm_plugins_asym alsa_pcm_plugins_copy alsa_pcm_plugins_dmix alsa_pcm_plugins_dshare alsa_pcm_plugins_dsnoop alsa_pcm_plugins_empty alsa_pcm_plugins_extplug alsa_pcm_plugins_file alsa_pcm_plugins_hooks alsa_pcm_plugins_iec958 alsa_pcm_plugins_ioplug alsa_pcm_plugins_ladspa alsa_pcm_plugins_lfloat alsa_pcm_plugins_linear alsa_pcm_plugins_meter alsa_pcm_plugins_mulaw alsa_pcm_plugins_multi alsa_pcm_plugins_null alsa_pcm_plugins_plug alsa_pcm_plugins_rate alsa_pcm_plugins_route alsa_pcm_plugins_share alsa_pcm_plugins_shm alsa_pcm_plugins_softvol arts audiofile bash-completion berkdb bitmap-fonts bluetooth bzip2 cairo caps cdparanoia cdr cli cracklib crypt cups curl dbus dga dio dlloader dri dvd dvdr dvdread elibc_glibc emboss encode exif expat fam fbcon ffmpeg fftw firefox flac foomaticdb fortran ftp gd ggi gif glut gmp gnutls gphoto2 gpm gstreamer gtk2 hal iconv idn imagemagick imlib input_devices_evdev input_devices_joystick input_devices_keyboard input_devices_mouse isdnlog java javascript jbig jikes joystick jpeg jpeg2k kde kdeenablefinal kernel_linux lcms libcaca libg++ linguas_it lm_sensors lua mad maildir matroska mmap mng motif mozilla mp3 mpeg mpi ncurses nls nptl nptlonly nsplugin offensive ogg openal opengl oss pam pcre pdf perl png posix ppds pppd python qt3 quicktime readline reflection samba sasl scanner sdl session sndfile sockets sox speex spell spl ssl svg symlink sysvipc tcl tcltk tcpd theora threads tiff tk truetype truetype-fonts type1-fonts udev unicode usb userland_GNU vcd video_cards_radeon videos vorbis wmf xine xml xml2 xorg xosd xpm xv xvid yahoo zlib"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LDFLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 39 Mike Auty gentoo-dev 2007-03-04 20:39:52 UTC
Ok, I'm going to close this bug, since the overlay is now only for testing.